from typing import List
from app import models, schemas
from sqlalchemy.orm import Session
import time


def create_airflow_run(db: Session, item: schemas.AirflowRunCreate):
    db_item = models.AirflowRun(**item.dict(), **{"create_time": int(time.time()), "update_time": int(time.time())})
    db.add(db_item)
    db.commit()
    db.refresh(db_item)
    return db_item


def update_airflow_run(db: Session, item: schemas.AirflowRunUpdate):
    db_item = models.AirflowRun(**item.dict(), **{"update_time": int(time.time())})
    db.add(db_item)
    db.commit()
    db.refresh(db_item)
    return db_item


def get_airflow_runs(db: Session):
    res: List[models.AirflowRun] = db.query(models.AirflowRun).all()
    return res


def get_airflow_run_once(db: Session, run_id: str):
    res: models.AirflowRun = db.query(models.AirflowRun).filter(models.AirflowRun.run_id == run_id).first()
    return res
